Page MenuHomePhabricator

Update Repository Management pages to new fixed UI
ClosedPublic

Authored by chad on Sep 4 2017, 12:27 AM.

Details

Summary

Simplifies the Repository Management pages to the new fixed column layout. I've also moved "Status" into the Basics page, which feels better, and moved "Documentation" as a nav item to a button in the header. This removed "action list" and "curtain view" from the management panels and uses the new bits from Config/Phacility. Undecided if the icons should stay or go for the nav. Left them in for Diffusion. I want to update the EditEngine pages to display in this UI and not leave the portal, but I haven't dug into that this page. I'm a bit worried it will not easily be possible.

Test Plan

Generate a svn, git, hg repository, test each of the new pages and each of the new buttons. Activate, deactivate, etc.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chad created this revision.Sep 4 2017, 12:27 AM
chad edited the test plan for this revision. (Show Details)Sep 4 2017, 12:28 AM
chad added a parent revision: D18519: Config re-design.
epriestley accepted this revision.Sep 5 2017, 1:10 PM

Also feels worse, not sure what problem we're solving, etc. I haven't gotten used to Instances or Settings either.

This revision is now accepted and ready to land.Sep 5 2017, 1:10 PM
chad updated this revision to Diff 44526.Sep 6 2017, 1:57 AM
  • rebase?
This revision was automatically updated to reflect the committed changes.